@mixin outlined($color, $bg-color) {
	&.outlined {
		padding: 8px 18px;
		border: 2px solid $color;
		background-color: $bg-color;
		color: $color;

		&:hover {
			background-color: darken($bg-color, 10);
			cursor: pointer;
		}
	}
}

.button {
	padding: 10px 20px;
	background-color: $primary-color;
	color: $white;
	font-weight: bold;
	border: none;

	&:hover {
		background-color: darken($primary-color, 10);
		cursor: pointer;
	}

	@include outlined($primary-color, $white);
}

.secondary {
	background-color: $secondary-color;

	&:hover {
		background-color: darken($secondary-color, 10);
		cursor: pointer;
	}

	@include outlined($secondary-color, $white);
}

.disabled {
	background-color: $grey;

	&:hover {
		background-color: darken($grey, 10);
		cursor: pointer;
	}

	@include outlined($grey, $white);
}

.rounded {
	border-radius: 20px;
}
